Re: [Rd] wine and build difference between R.2.4.0 and R 2.4.1 windows binaries?

From: Prof Brian Ripley <ripley_at_stats.ox.ac.uk>
Date: Fri 12 Jan 2007 - 14:51:48 GMT

On Fri, 12 Jan 2007, Hin-Tak Leung wrote:

> I'd like to know one thing though - was there any specific reason for
> the mingw upgrade after 2.4.0, or was it just a routine
> latest-is-greatest upgrade?

There are specific requirements: from the CHANGES file

2.4.0:

mingw-runtime >= 3.10 is required to build R (a bug fix in the handling of MBCS code is required). This is enforced by a check in building Rpwd.exe.

2.5.0-to-be:

mingw-runtime >= 3.11 is needed to build R.

[There are multiple reasons, but one is that isblank is missing in earlier versions.]

I am almost certain that I have build R 2.4.1 with mingw-runtime 3.10.

-- 
Brian D. Ripley,                  ripley@stats.ox.ac.uk
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

______________________________________________
R-devel@r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel
Received on Sat Jan 13 01:58:57 2007

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.1.8, at Fri 12 Jan 2007 - 17:31:05 GMT.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-devel. Please read the posting guide before posting to the list.